Error al actualizar (Solucionado)

Imagen de paformado
0 puntos

Buenas noches. Soy nuevo en el foro. Hasta ahora las veces que tuve problemas pude solucionarlos buscando por internet. Pero para lo que me pasa ahora no encuentro nada.

Tengo un problema al querer actualizar. Pongo el "update" y todo bien, pero a la hora del "upgrade" me salta lo siguiente:

oilrc@oilrc-System-Product-Name:~$ sudo apt-get upgrade
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Los siguientes paquetes se ELIMINARÁN:
libreoffice-base
0 actualizados, 0 se instalarán, 1 para eliminar y 0 no actualizados.
1 no instalados del todo o eliminados.
Se liberarán 6.748 kB después de esta operación.
¿Desea continuar [S/n]? s
(Leyendo la base de datos ... 250178 ficheros o directorios instalados actualmente.)
Desinstalando libreoffice-base ...
No hay un desvío para `desviación de /usr/lib/libreoffice/share/basic/dialog.xlc a /usr/lib/libreoffice/share/basic/dialog.xlc.noaccess por libreoffice-base', no se ha eliminado ninguno.
No hay un desvío para `desviación de /usr/lib/libreoffice/share/basic/script.xlc a /usr/lib/libreoffice/share/basic/script.xlc.noaccess por libreoffice-base', no se ha eliminado ninguno.
/var/lib/dpkg/info/libreoffice-base.postrm: 31: /var/lib/dpkg/info/libreoffice-base.postrm: Syntax error: end of file unexpected (expecting "fi")
dpkg: error al procesar libreoffice-base (--remove):
el subproceso instalado el script post-removal devolvió el código de salida de error 2
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
Se encontraron errores al procesar:
libreoffice-base
E: Sub-process /usr/bin/dpkg returned an error code (1)

Lo mismo pasa para todo lo que quiera hacer.

Espero que puedan ayudarme.

Muchas gracias!

Imagen de Goyo
+1
0
-1

Intenta reinstalar libreoffice-base a ver si aparece lo que está roto.
sudo apt-get install --reinstall libreoffice-base

+1
0
-1
Imagen de paformado
+1
0
-1

Me aparece esto:

oilrc@oilrc-System-Product-Name:~$ sudo apt-get install --reinstall libreoffice-base
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No es posible reinstalar el paquete libreoffice-base, no se puede descargar.
Los siguientes paquetes se ELIMINARÁN:
libreoffice-base
0 actualizados, 0 se instalarán, 1 para eliminar y 0 no actualizados.
1 no instalados del todo o eliminados.
Se liberarán 6.748 kB después de esta operación.
¿Desea continuar [S/n]? s
(Leyendo la base de datos ... 250178 ficheros o directorios instalados actualmente.)
Desinstalando libreoffice-base ...
No hay un desvío para `desviación de /usr/lib/libreoffice/share/basic/dialog.xlc a /usr/lib/libreoffice/share/basic/dialog.xlc.noaccess por libreoffice-base', no se ha eliminado ninguno.
No hay un desvío para `desviación de /usr/lib/libreoffice/share/basic/script.xlc a /usr/lib/libreoffice/share/basic/script.xlc.noaccess por libreoffice-base', no se ha eliminado ninguno.
/var/lib/dpkg/info/libreoffice-base.postrm: 31: /var/lib/dpkg/info/libreoffice-base.postrm: Syntax error: end of file unexpected (expecting "fi")
dpkg: error al procesar libreoffice-base (--remove):
el subproceso instalado el script post-removal devolvió el código de salida de error 2
Se encontraron errores al procesar:
libreoffice-base
E: Sub-process /usr/bin/dpkg returned an error code (1)

Cada vez que quiero hacer algo me aparece eso.

+1
0
-1
Imagen de Goyo
+1
0
-1

El problema o al menos parte de él parece estar en el archivo /var/lib/dpkg/info/libreoffice-base.postrm que según da a entender este artículo puede eliminarse sin peligro:
http://www.comoinstalarlinux.com/como-solucionar-problemas-al-instalar-o...
Nunca me ha ocurrido eso así que no sé cómo irá.

+1
0
-1
Imagen de paformado
+1
0
-1

Perfecto! Me soluciono el problema!

Gracias!

+1
0
-1
Imagen de aevora
+1
0
-1

Buenas.
Ayer, tras intentar actualizar, me ocurrio EXACTAMENTE lo mismo. No se si será algún problema con las ultimas actualizaciones.

Saludos.

+1
0
-1
Imagen de marcos81
+1
0
-1

Mismo problema, yo primero hice: sudo rm -r /var/tmp/*

Luego quise hacer: sudo apt-get dist-upgrade, pero me tiraba el error mencionado en este hilo.

Entonces hice: sudo rm /var/lib/dpkg/info/libreoffice-base.postrm

Luego: sudo apt-get dist-upgrade, y de nuevo fue interrumpido por el error.

Así que lo desinstalé completamente: sudo apt-get purge libreoffice libreoffice-l10n-es

Luego sí: sudo apt-get dist-upgrade

sudo apt-get clean (para borrar todos los archivos descargados)

Hermosa comunidad, abrazos a todos :)

+1
0
-1